Bug Hunting Session
Bug 65562 - Text changes directionality when hyperlinked
Summary: Text changes directionality when hyperlinked
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
4.0.3.3 release
Hardware: All All
: high major
Assignee: Not Assigned
URL:
Whiteboard: target:4.0.4
Keywords: regression
Depends on:
Blocks: RTL-CTL mab4.0 65414
  Show dependency treegraph
 
Reported: 2013-06-09 06:38 UTC by Muhammad Bashir Al-Noimi
Modified: 2014-03-25 12:16 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Calc file (7.65 KB, application/vnd.oasis.opendocument.spreadsheet)
2013-06-09 06:38 UTC, Muhammad Bashir Al-Noimi
Details
Screenshot of this bug (65.69 KB, image/png)
2013-06-09 06:40 UTC, Muhammad Bashir Al-Noimi
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Muhammad Bashir Al-Noimi 2013-06-09 06:38:52 UTC
Created attachment 80552 [details]
Calc file

All hyperlinks of English text with Right Tl Left layout appears incorrectly!!!
Comment 1 Muhammad Bashir Al-Noimi 2013-06-09 06:40:25 UTC
Created attachment 80553 [details]
Screenshot of this bug
Comment 2 Fahad Al-Saidi 2013-06-09 07:28:47 UTC
confirm in 4.1 beta 1
Comment 3 Muhammad Bashir Al-Noimi 2013-06-09 07:49:46 UTC
(In reply to comment #2)
> confirm in 4.1 beta 1

You mean this bug already exits in 4.1b1 too?
Comment 4 Fahad Al-Saidi 2013-06-09 07:59:57 UTC
(In reply to comment #3)
> (In reply to comment #2)
> > confirm in 4.1 beta 1
> 
> You mean this bug already exits in 4.1b1 too?

Yes. I test it in 4.1 beta 1 & 2
Comment 5 Ahmad Harthi 2013-06-09 08:16:16 UTC
Intresting ;)
Comment 6 Muhammad Bashir Al-Noimi 2013-06-09 08:27:10 UTC
Ahmad I don't think the importance is "Medium - Normal". This issue prevent the user from using effective hyperlinks in RTL mode sheets so I prefer to revert the importance back to "High - Major"
Comment 7 Faisal Menawer 2013-06-09 09:06:58 UTC
hmmm...

also if you change text direction for Arabic to LTR 
the same thing will appear.

this bug also appears in impress in editing mode only.

i think this is a regression. Works fine in 3.6.2
Comment 8 Lior Kaplan 2013-06-09 17:06:36 UTC
Changing bug title, as this effects on both LTR and RTL texts.

Steps to reproduce:
1. Create two cells, one with LTR text (e.g. "test") and one with RTL text (e.g. "בדיקה").
2. Make the contents of both cells a hyperlink.
3. You'll notice that one of the cells' text changed directionality (the one with the opposite directionality to the cell's one).
4. Change directionality of both cells, and notice the problem in #3 is now in the other cell.

Verified on 4-0 branch (4.0.3.3), 4-1 branch (4.0.0 beta1) and master.
Comment 9 abdulmajeed 2013-06-09 20:49:27 UTC
this probelm also affect impress and draw
Comment 10 abdulmajeed 2013-06-09 21:03:20 UTC
it seems to this patch
http://cgit.freedesktop.org/libreoffice/core/commit/?id=6708ad7f1baa8d4cef1718bdef1d26fb5d8510f3 

have cause this bug and fdo#65414
i have revert it localy and it works fine

could any one verfiy this
Comment 11 Lior Kaplan 2013-06-09 21:32:52 UTC
(In reply to comment #10)
> it seems to this patch
> http://cgit.freedesktop.org/libreoffice/core/commit/
> ?id=6708ad7f1baa8d4cef1718bdef1d26fb5d8510f3 
> 
> have cause this bug and fdo#65414

The patch is part of 4.0.3, we can either revert it for 4.0.4 or push a quick fix for the regression. Navin - as the author of the patch, do you think this is a quick fix (then we wait) or should we revert?
Comment 12 navin patidar 2013-06-10 04:06:06 UTC
let me see what i can do.(In reply to comment #11)
> (In reply to comment #10)
> > it seems to this patch
> > http://cgit.freedesktop.org/libreoffice/core/commit/
> > ?id=6708ad7f1baa8d4cef1718bdef1d26fb5d8510f3 
> > 
> > have cause this bug and fdo#65414
> 
> The patch is part of 4.0.3, we can either revert it for 4.0.4 or push a
> quick fix for the regression. Navin - as the author of the patch, do you
> think this is a quick fix (then we wait) or should we revert?

let me see what i can do.
Comment 13 Petr Mladek 2013-06-11 08:51:23 UTC
We have reverted the fix for the bug #60533, so this should work again.
Comment 14 Björn Michaelsen 2013-06-27 10:12:46 UTC
Reverted with:
https://gerrit.libreoffice.org/gitweb?p=core.git;a=commit;h=41900bab0d07332aa720c92f787d90c4d8fff571

in 4.0.4, setting target.